<?php



	$wah_custom_logo_position = wah_get_param( 'wah_custom_logo_position' );



	



	$nagish_logo_pos =  wah_get_param( 'nagish_logo_pos');



	$wne_hide_on_mobile = wah_get_param( 'wne_hide_on_mobile' );



	



	/* custom icon image url & color */



	



	$nagish_hopxl = wah_get_param( 'nagish_hopxl' );



	$nagish_hopos = wah_get_param( 'nagish_hopos' );



	$nagish_vepxl = wah_get_param( 'nagish_vepxl' );



	$nagish_vepos = wah_get_param( 'nagish_vepos' );



	



	$shape_type = wah_get_param( 'shape_type' );



	$button_type = wah_get_param( 'button_type' );



	$button_image = wah_get_param( 'button_image' );



	



	if($wah_custom_logo_position == 1){



		if($nagish_logo_pos == "topleft"){



			?>



				<style>



					button.aicon_link{



						left:0px !important;



						right:auto !important;



						top:0px !important;



					}



				</style>



			<?php



			



		}elseif($nagish_logo_pos == "topcenter"){



			



			?>



				<style>



					button.aicon_link{



						left:0px !important;



						right:0px !important;



						top:0px !important;



						margin:auto !important;



					}



				</style>



			<?php



			



		}elseif($nagish_logo_pos == "topright"){



			?>



				<style>



					button.aicon_link{



						left:auto !important;



						right:0px !important;



						top:0px !important;



						



					}



				</style>



			<?php



			



		}elseif($nagish_logo_pos == "leftcenter"){



			?>



				<style>



					button.aicon_link{



						left:0px !important;



						right:auto !important;



						margin:auto !important;



						top:0px !important;



						bottom:0px !important;



						



					}



				</style>



			<?php



			



		}elseif($nagish_logo_pos == "rightcenter"){



			?>



				<style>



					button.aicon_link{



						left:auto !important;



						right:0px !important;



						margin:auto !important;



						top:0px !important;



						bottom:0px !important;



						



					}



				</style>



			<?php



			



		}elseif($nagish_logo_pos == "bottomleft"){



			?>



				<style>



					button.aicon_link{



						left:0px !important;



						right:auto !important;



						margin:auto !important;



						top:auto !important;



						bottom:0px !important;



						



					}



				</style>



			<?php



			



		}elseif($nagish_logo_pos == "bottomcenter"){



			?>



				<style>



					button.aicon_link{



						left:0px !important;



						right:0px !important;



						margin:auto !important;



						top:auto !important;



						bottom:0px !important;



						



					}



				</style>



			<?php



			



		}elseif($nagish_logo_pos == "bottomright"){



			?>



				<style>



					button.aicon_link{



						left:auto !important;



						right:0px !important;



						margin:auto !important;



						top:auto !important;



						bottom:0px !important;



						



					}



				</style>



			<?php



			



		}else{



			



			



		}



		



		



		if($nagish_hopos == "left" && $nagish_logo_pos != "topcenter" && $nagish_logo_pos != "bottomcenter"){



			



			?>



			<style>



					button.aicon_link{



						



						margin-left:<?php echo $nagish_hopxl; ?>px!important;



					}



				</style>



			<?php



			



		}elseif($nagish_hopos == "right" && $nagish_logo_pos != "topcenter" && $nagish_logo_pos != "bottomcenter"){



			



			?>



			<style>



					button.aicon_link{



						



						margin-right:<?php echo $nagish_hopxl; ?>px!important;



					}



				</style>



			<?php



		}else{



			



		}



		if($nagish_vepos == "top" && $nagish_logo_pos != "leftcenter" && $nagish_logo_pos != "rightcenter"){



			?>



			<style>



					button.aicon_link{



						



						margin-top:<?php echo $nagish_vepxl; ?>px!important;



					}



				</style>



			<?php



			



		}elseif($nagish_vepos == "bottom" && $nagish_logo_pos != "leftcenter" && $nagish_logo_pos != "rightcenter"){



			?>



			<style>



					button.aicon_link{



						



						margin-bottom:<?php echo $nagish_vepxl; ?>px!important;



					}



				</style>



			<?php



			



		}else{



			



		}



	}



	



	if(!empty($shape_type)){



		if($shape_type=="sqaure" && $button_image != "custom_icon"){



			?>



			<style>



					button.aicon_link{



						



						border-radius:0px !important



					}



				</style>



			<?php



		}



		if($shape_type=="sqaure_corner" && $button_image != "custom_icon"){



			?>



			<style>



					button.aicon_link{



						



						border-radius:10px !important



					}



				</style>



			<?php



		}



		



		if($shape_type=="cricle" && $button_image != "custom_icon"){



			?>



			<style>



					button.aicon_link{



						



						border-radius:100%!important



					}



				</style>



			<?php



		}



		if($shape_type=="half_left" && $button_image != "custom_icon"){



			?>



			<style>



					button.aicon_link{



					



						border-radius:80px 0px 0px 80px!important



					}



				</style>



			<?php



		}



		if($shape_type=="half_right" && $button_image != "custom_icon"){



			?>



			<style>



					button.aicon_link{



						



						border-radius:0px 80px 80px 0px!important



					}



				</style>



			<?php



		}



	}



	



	